Subject: Re: git-svn branches with revision id's in name

From: Jehan Bing <[email-masked]>
Date: Thu, 02 Feb 2012 11:03:21 -0800

On 2012-02-02 04:24, Carsten Fuchs wrote:
> Hi all,
>
> Am 2012-01-30 20:42, schrieb Stephen Duncan Jr:
>> [...]
>> $ git branch -a
>> * master
>> remotes/develop
>> remotes/develop@29271
>> remotes/develop@32463
>> remotes/develop@34103
>> remotes/feature/xyz
>> remotes/feature/xyz@26438
>> remotes/feature/xyz@27542
>> remotes/feature/xyz@35233
>>
>> Why have these remote branches been created? What impact does this
>> have on my checkout? Can I remove safely remove them? How? I was
>> unable to figure out how to reference this behavior in order to search
>> for information on it.
>
> Same questions here.
> (I know how to remove them, but I'd love to learn and understand why
> they have been created.)

Those are branches that have been deleted and then recreated later.
In svn, you can always get a deleted branch back by checking out an old 
revision. But in git, branches are not part of the history, so when you 
delete a branch, it's completely gone, as if it never existed, taking 
with it any commit that has not been merged elsewhere.
To prevent that loss, git-svn doesn't delete branches. But if the branch 
was re-created later in svn, you would get a conflict in git. So 
instead, git-svn rename the old branch by adding the revision number 
where the branch last existed, i.e. the revision before it was deleted.

So in the OP case, the branch "develop" was deleted at least 3 times, at 
r34104, r32464 and r29272. The last one may also have been deleted too 
but then it was not re-created so git-svn didn't rename yet.